# Welcome to mistral-lib’s documentation!

The mistral-lib is a library that contains data types, exceptions, functions and utilities common to Mistral, python-mistralclient and mistral-extra repositories. This library also contains the public interfaces for 3rd party integration (e.g. Actions API, YAQL functions API, etc.)

Contents:

## Install guide

Installation

- Installation

## User guide

Usage

- Usage

## Developer guide

- Developer’s Reference
  - How to write a Custom Action

# Indices and tables

- Index

- Search Page

this page last updated: 2024-03-08 14:46:56

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug